package client

import (
	pipb "code.fbi.h-da.de/danet/gosdn/api/go/gosdn/plugin-internal"
	"google.golang.org/grpc"
)

func PluginClient(addr string, opts ...grpc.DialOption) (pipb.PluginInternalServiceClient, error) {
	conn, err := grpc.Dial(addr, opts...)
	if err != nil {
		return nil, err
	}
	return pipb.NewPluginInternalServiceClient(conn), nil
}
